import request from '@/utils/request'

// 查询蒸汽整点数据列表
export function listReportPointSteam(query) {
  return request({
    url: '/ems/report/reportPointSteam/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽整点数据详细
export function getReportPointSteam(objId) {
  return request({
    url: '/ems/report/reportPointSteam/' + objId,
    method: 'get'
  })
}

// 新增蒸汽整点数据
export function addReportPointSteam(data) {
  return request({
    url: '/ems/report/reportPointSteam',
    method: 'post',
    data: data
  })
}

// 修改蒸汽整点数据
export function updateReportPointSteam(data) {
  return request({
    url: '/ems/report/reportPointSteam',
    method: 'put',
    data: data
  })
}

// 删除蒸汽整点数据
export function delReportPointSteam(objId) {
  return request({
    url: '/ems/report/reportPointSteam/' + objId,
    method: 'delete'
  })
}
